Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class TypedEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent

Direct Known Subclasses:
  ArmEvent, ControlEvent, CTabFolderEvent, DisposeEvent, DragSourceEvent, DropTargetEvent, FocusEvent, GestureEvent, HelpEvent, KeyEvent, LocationEvent, MenuDetectEvent, MenuEvent, ModifyEvent, MouseEvent, PaintEvent, ProgressEvent, SelectionEvent, ShellEvent, StatusTextEvent, TouchEvent

public class TypedEvent
extends Event

This is the super class for all typed event classes provided by RWT. Typed events contain particular information which is applicable to the event occurrence.

See Also:
  `Event`, Serialized Form

Field Summary
`java.lang.Object` `data` a field for application use
`Display` `display` the display where the event occurred
`Widget` `widget` the widget that issued the event

Constructor Summary
`TypedEvent(Event e)` Constructs a new instance of this class based on the information in the argument.
`TypedEvent(java.lang.Object source)` Constructs a new instance of this class.
`TypedEvent(java.lang.Object source, int id)` Constructs a new instance of this class.

Method Summary
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(java.lang.Object listener)`
`static boolean` `executeNext()` IMPORTANT: This method is not part of the RWT public API.
`protected java.lang.Class` `getListenerType()`
`java.lang.Object` `getSource()`
`void` `processEvent()` IMPORTANT: This method is not part of the RWT public API.
`static void` `processScheduledEvents()` IMPORTANT: This method is not part of the RWT public API.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### display

    public Display display

  the display where the event occurred

  Since:
    1.2

### widget

    public Widget widget

  the widget that issued the event

### data

    public java.lang.Object data

  a field for application use

Constructor Detail

### TypedEvent

    public TypedEvent(Event e)

  Constructs a new instance of this class based on the information in the argument.

Parameters:
  `e` - the low level event to initialize the receiver with

### TypedEvent

    public TypedEvent(java.lang.Object source)

  Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event
Since:
  1.3

### TypedEvent

    public TypedEvent(java.lang.Object source,
                      int id)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### getSource

    public java.lang.Object getSource()

### processEvent

    public final void processEvent()

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

### processScheduledEvents

    public static void processScheduledEvents()

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

### executeNext

    public static boolean executeNext()

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

### allowProcessing

    protected boolean allowProcessing()

### dispatchToObserver

    protected void dispatchToObserver(java.lang.Object listener)

### getListenerType

    protected java.lang.Class getListenerType()

### toString

    public java.lang.String toString()

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.